# Tomcat
server:
  port: 9603

mqtt:
  client:
    ip: 127.0.0.1                            # mqtt server ip地址
    port: 1883                               # mqtt server 端口
    clientId: hw-data-process-1              # 客户端ID，保证唯一
    username: mica                           # mqtt server 认证用户名
    password: mica                           # mqtt server 认证密码
    timeout: 10
    keepalive: 20
    qos : 1                                  # qos服务质量等级，0最多交付一次，1至少交付一次，2只交付一次
    dataTopicFilter: /v1/#                   # 订阅的处理设备上报数据的topic
    deviceStatusTopic: /device/status/v1     # 订阅的处理设备状态的topic
    imagePath: images                        # base64图片转换保存的路径
    imagePatterns: jpg,jpeg,png              #支持的图片格式

# Spring
spring: 
  application:
    # 应用名称
    name: hw-data-process
  profiles:
    # 环境配置
    active: dev
  cloud:
    nacos:
      discovery:
        # 服务注册地址
        server-addr: 127.0.0.1:8848
      config:
        # 配置中心地址
        server-addr: 127.0.0.1:8848
        # 配置文件格式
        file-extension: yml
        # 共享配置
        shared-configs:
          - application-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
